All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::WorkerProducer< TDatums > Class Template Referenceabstract

`#include <workerProducer.hpp>`

Inherits op::Worker< TDatums >.

Inherited by op::WDatumProducer< TDatums, TDatumsNoPtr >.

## Public Member Functions

virtual | ~WorkerProducer ()
void | work (TDatums &tDatums)
Public Member Functions inherited from op::Worker< TDatums >
| Worker ()
virtual | ~Worker ()
virtual void | initializationOnThread ()=0
bool | checkAndWork (TDatums &tDatums)
bool | isRunning () const
void | stop ()
virtual void | tryStop ()

## Protected Member Functions

virtual TDatums | workProducer ()=0

## Constructor & Destructor Documentation

template<typename TDatums >

op::WorkerProducer< TDatums >::~WorkerProducer | ( |  | ) |

virtual

## Member Function Documentation

template<typename TDatums >

void op::WorkerProducer< TDatums >::work | ( | TDatums & | tDatums | ) |

inlinevirtual

Implements op::Worker< TDatums >.

template<typename TDatums >

virtual TDatums op::WorkerProducer< TDatums >::workProducer | ( |  | ) |

protectedpure virtual

Implemented in op::WDatumProducer< TDatums, TDatumsNoPtr >.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/thread/workerProducer.hpp